Subject: [OT?] Executing Git from bash script invoked by cron

From: Johannes Schneider <[email-masked]>
Date: Mon, 28 Jun 2010 23:00:56 +0200

Hi,

I try to mirror my local git repository.
Therefore I created a bash script. This script, executed form the
command line, works fine.

But the same script executed by cron, does not work. Git push does
simply nothing. No output, no push, nothing.
But git log and git --version works...

I tried to google the problem, but couldn't not find anything useful.
Any hints are welcome.

Ubuntu 64Bit
git version 1.7.0.4
cron 3.0pl1-106ubuntu5

Thanks,

Johannes
- -- 
Johannes Schneider - blog.cedarsoft.com